<template>
  <div>
    <!-- 详情弹窗 -->
    <vol-box v-model="showDetialBox" :lazy="true" :height="500" :padding="15" title="日志详情">
      <div>
        id:{{ rowData.id }}
        <hr />
        <b>时间：</b>
        {{ rowData.createtime }}
        <br /><br />
        <b>描述：</b>
        <br /> 
        {{ rowData.describe }}
        <br />
        <br />
        <b>详情：</b>
        <br />
        <pre>{{ safelyParseJSON(rowData.info) }}</pre>
        <br />
      </div>
    </vol-box>
  </div>
</template>
  
<script defer = "true">
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: { "vol-box": VolBox },
  methods: {},
  data() {
    return {
      showDetialBox: false,
      rowData: "",
    };
  },
  methods: {
    safelyParseJSON(json) {
      try {
        return JSON.parse(json);
      } catch (e) {
        return json;
      }
    }
  },
};
</script>
  
  
<style>
.formContainer {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>
  